Bug 822718 - (libesedb) Review Request: libesedb - Library to access the Extensible Storage Engine (ESE) Database File (EDB) format
Review Request: libesedb - Library to access the Extensible Storage Engine (E...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-SECLAB
  Show dependency treegraph
 
Reported: 2012-05-17 17:53 EDT by Michal Ambroz
Modified: 2014-10-17 13:40 EDT (History)
5 users (show)

See Also:
Fixed In Version: libesedb-20120102-7.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-15 04:33:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michal Ambroz 2012-05-17 17:53:47 EDT
Spec URL: http://rebus.fedorapeople.org//libesedb.spec
SRPM URL: http://rebus.fedorapeople.org//libesedb-20120102-1.fc17.src.rpm

Description:
Library and tools to access the Extensible Storage Engine (ESE) Database File
(EDB) format. ESEDB is used in may different applications like Windows Search,
Windows Mail, Exchange, Active Directory, etc.
Comment 1 Michal Ambroz 2012-05-17 17:53:53 EDT
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=4084680
Comment 2 Mario Blättermann 2012-09-22 14:51:14 EDT
The file links are dead, these are the right ones:

Spec URL: http://rebus.fedorapeople.org/SPECS/libesedb.spec
SRPM URL: http://rebus.fedorapeople.org/SRPMS/libesedb-20120102-1.fc17.src.rpm


Koji scratch build for f18:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4513986


Your package is almost fine, some objections though:

The initial cleaning of buildroot in %install is an artifact from older Fedora versions (< F10, EPEL5). Please remove the appropriate line.

Currently our man pages are gzipped, but this could change in the future, that's why:

%{_mandir}/man1/esedbinfo.1.*
%{_mandir}/man3/libesedb.3.*


$ rpmlint -i -v *
libesedb.src: I: checking
libesedb.src: I: checking-url http://sourceforge.net/projects/libesedb/ (timeout 10 seconds)
libesedb.src: E: unknown-key (MD5
The package was signed, but with an unknown key. See the rpm --import option
for more information.

libesedb.src: I: checking-url http://downloads.sourceforge.net/libesedb/libesedb-alpha-20120102.tar.gz (timeout 10 seconds)
libesedb.src: W: invalid-url Source0: http://downloads.sourceforge.net/libesedb/libesedb-alpha-20120102.tar.gz HTTP Error 404: Not Found
The value should be a valid, public HTTP, HTTPS, or FTP URL.

libesedb.i686: I: checking
libesedb.i686: I: checking-url http://sourceforge.net/projects/libesedb/ (timeout 10 seconds)
libesedb.i686: W: no-manual-page-for-binary esedbexport
Each executable in standard binary directories should have a man page.

libesedb.x86_64: I: checking
libesedb.x86_64: I: checking-url http://sourceforge.net/projects/libesedb/ (timeout 10 seconds)
libesedb.x86_64: W: no-manual-page-for-binary esedbexport
Each executable in standard binary directories should have a man page.

libesedb-debuginfo.i686: I: checking
libesedb-debuginfo.i686: I: checking-url http://sourceforge.net/projects/libesedb/ (timeout 10 seconds)
libesedb-debuginfo.x86_64: I: checking
libesedb-debuginfo.x86_64: I: checking-url http://sourceforge.net/projects/libesedb/ (timeout 10 seconds)
libesedb-devel.i686: I: checking
libesedb-devel.i686: I: checking-url http://sourceforge.net/projects/libesedb/ (timeout 10 seconds)
libesedb-devel.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

libesedb-devel.x86_64: I: checking
libesedb-devel.x86_64: I: checking-url http://sourceforge.net/projects/libesedb/ (timeout 10 seconds)
libesedb-devel.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

libesedb.spec: I: checking-url http://downloads.sourceforge.net/libesedb/libesedb-alpha-20120102.tar.gz (timeout 10 seconds)
libesedb.spec: W: invalid-url Source0: http://downloads.sourceforge.net/libesedb/libesedb-alpha-20120102.tar.gz HTTP Error 404: Not Found
The value should be a valid, public HTTP, HTTPS, or FTP URL.

7 packages and 1 specfiles checked; 1 errors, 6 warnings.


This project is no longer hosted at SourceForge. The new download location is http://libesedb.googlecode.com/files/libesedb-alpha-20120102.tar.gz.

Please don't sign your srpms. It is not really needed and produces annoying output of rpmlint.


Please fix the issues (project website, source location, buildroot cleaning, man page extension) and your package is ready for a full review.
Comment 3 Mario Blättermann 2012-10-05 16:58:34 EDT
Any news...?
Comment 4 Michal Ambroz 2012-10-06 09:32:31 EDT
Thank you for review.

Updated package:
Spec URL: http://rebus.fedorapeople.org/SPECS/libesedb.spec
SRPM URL: http://rebus.fedorapeople.org/SRPMS/libesedb-20120102-2.fc17.src.rpm

Best regards
Michal Ambroz
Comment 5 Mario Blättermann 2012-10-06 10:58:12 EDT
%install
#Apply on for rhel
%if 0%{?rhel}
    rm -rf %{buildroot}
%endif

If you really want to provide a package for EPEL 5, remove that conditional cleaning of buildroot and maintain a spec file separately for that branch. BTW, your script is not valid because the extra's like BuildRoot definition, %clean section and so on are only applicable for RHEL 5 and older, not for RHEL in general.
Comment 6 Michal Ambroz 2012-10-06 15:02:37 EDT
Updated package:
Spec URL: http://rebus.fedorapeople.org/SPECS/libesedb.spec
SRPM URL: http://rebus.fedorapeople.org/SRPMS/libesedb-20120102-3.fc17.src.rpm

Thank you
Michal Ambroz
Comment 7 Mario Blättermann 2012-10-06 16:08:17 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4567157

$ rpmlint -i -v *
libesedb.src: I: checking
libesedb.src: I: checking-url http://code.google.com/p/libesedb/ (timeout 10 seconds)
libesedb.src: E: unknown-key (MD5
The package was signed, but with an unknown key. See the rpm --import option
for more information.

libesedb.src: I: checking-url http://libesedb.googlecode.com/files/libesedb-alpha-20120102.tar.gz (timeout 10 seconds)
libesedb.src: W: invalid-url Source0: http://libesedb.googlecode.com/files/libesedb-alpha-20120102.tar.gz HTTP Error 404: Not Found
The value should be a valid, public HTTP, HTTPS, or FTP URL.

libesedb.i686: I: checking
libesedb.i686: I: checking-url http://code.google.com/p/libesedb/ (timeout 10 seconds)
libesedb.i686: W: no-manual-page-for-binary esedbexport
Each executable in standard binary directories should have a man page.

libesedb.x86_64: I: checking
libesedb.x86_64: I: checking-url http://code.google.com/p/libesedb/ (timeout 10 seconds)
libesedb.x86_64: W: no-manual-page-for-binary esedbexport
Each executable in standard binary directories should have a man page.

libesedb-debuginfo.i686: I: checking
libesedb-debuginfo.i686: I: checking-url http://code.google.com/p/libesedb/ (timeout 10 seconds)
libesedb-debuginfo.x86_64: I: checking
libesedb-debuginfo.x86_64: I: checking-url http://code.google.com/p/libesedb/ (timeout 10 seconds)
libesedb-devel.i686: I: checking
libesedb-devel.i686: I: checking-url http://code.google.com/p/libesedb/ (timeout 10 seconds)
libesedb-devel.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

libesedb-devel.x86_64: I: checking
libesedb-devel.x86_64: I: checking-url http://code.google.com/p/libesedb/ (timeout 10 seconds)
libesedb-devel.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

libesedb.spec: I: checking-url http://libesedb.googlecode.com/files/libesedb-alpha-20120102.tar.gz (timeout 10 seconds)
libesedb.spec: W: invalid-url Source0: http://libesedb.googlecode.com/files/libesedb-alpha-20120102.tar.gz HTTP Error 404: Not Found
The value should be a valid, public HTTP, HTTPS, or FTP URL.

7 packages and 1 specfiles checked; 1 errors, 6 warnings.



---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    GPLv3+
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    068ab53f434376e2c0f4bfa56e98b324a8b2bee89b3588b524f3541112f40e26  libesedb-alpha-20120102.tar.gz
    068ab53f434376e2c0f4bfa56e98b324a8b2bee89b3588b524f3541112f40e26  libesedb-alpha-20120102.tar.gz.orig

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[.] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[+] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[+] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[+] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[+] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[+] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

----------------

PACKAGE APPROVED

----------------
Comment 8 Michal Ambroz 2012-10-16 12:13:46 EDT
Hello SCM team,
please can you create new package?

New Package SCM Request
=======================
Package Name: libesedb
Short Description: Library to access the Extensible Storage Engine (ESE) Database File (EDB) format
Owners: rebus
Branches: f17 f18 f19 el6 el5


Thank you
Michal Ambroz
Comment 9 Jon Ciesla 2012-10-16 12:17:51 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2012-10-21 19:21:59 EDT
libesedb-20120102-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libesedb-20120102-3.fc17
Comment 11 Fedora Update System 2012-10-21 19:22:13 EDT
libesedb-20120102-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libesedb-20120102-3.fc18
Comment 12 Fedora Update System 2012-10-21 19:22:22 EDT
libesedb-20120102-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/libesedb-20120102-3.el6
Comment 13 Fedora Update System 2012-10-22 12:57:44 EDT
libesedb-20120102-3.fc18 has been pushed to the Fedora 18 testing repository.
Comment 14 Mario Blättermann 2012-11-15 04:33:14 EST
Packages are marked as stable now.
Comment 15 Michal Ambroz 2014-09-23 13:49:27 EDT
Package Change Request
======================
Package Name: libesedb
New Branches: epel7
Owners: rebus

Hello SCM team,
plase can you add epel7 branch for the libesedb package?
Michal Ambroz
Comment 16 Jon Ciesla 2014-09-23 15:19:47 EDT
Git done (by process-git-requests).
Comment 17 Fedora Update System 2014-09-24 21:21:51 EDT
libesedb-20120102-7.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/libesedb-20120102-7.el7
Comment 18 Fedora Update System 2014-10-17 13:40:37 EDT
libesedb-20120102-7.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.